Get Metric Keys Information Per Resource Type

Get Metric Keys Information Per Resource Type
Gets supported metrics keys and their information for a resource type

Gets information like description, unit, value_type, metric_type about the metric keys available for a resource type.

Request
URI
GET
https://{api_host}/metrics/key-info
COPY
Query Parameters
string
resource_type
Required  

Resource type for which metric keys and their information are requested. Supported NSX resource types are PolicyEdgeNode, HostTransportNode, Tier0Interface, Tier1Interface, Tier0, Tier1, Rule, SegmentPort. Supported Security Services Platform (SSP) resource types are SspCluster, SspNode and various SSP services.

string
metric_key_type
Optional

The metric key type to be returned. Allowed values are POINT_IN_TIME, TIME_SERIES and STATUS_METRIC. This will help filter the metric keys which can be queried using in the point-in-time API /metrics/point-in-time/data and the time-series API /metrics/data.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MetricsMetadataInfoList of type(s) application/json
{
    "results": [
        {
            "description": "string",
            "key": "string",
            "unit": "string",
            "aggregate_by_resource_ids": false,
            "query_time_features": {
                "aggregation": false,
                "filter_by_metric_value": false
            },
            "value_type": "string",
            "is_point_in_time": false,
            "is_time_series": false,
            "is_status_metric": false,
            "relationships": [
                {
                    "related_resource_type": "string",
                    "related_dimension": "string"
                }
            ],
            "introduced_in_version": "string",
            "deprecated_in_version": "string",
            "tags": [
                {
                    "name": "string",
                    "value": "string"
                }
            ]
        }
    ]
}
array of object
results
Optional

Results array where each entry in the array is of type MetricKeyMetadataInfo.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error Response

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/metrics/key-info?resource_type=v